package de.intevation.flys.artifacts.model.fixings;

import de.intevation.flys.artifacts.math.Function;

import java.io.Serializable;

public class FixFunction
implements   Serializable
{
    protected String name;
    protected String description;
    protected Function mathFunction;
    protected double maxQ;


    public FixFunction (
        String name,
        String description,
        Function f,
        double maxQ) {
            this.name = name;
            this.description = description;
            this.mathFunction = f;
            this.maxQ = maxQ;
    }

    public String getName() {
        return this.name;
    }


    public String getDescription() {
        return this.description;
    }


    public Function getFunction() {
        return this.mathFunction;
    }


    public double getMaxQ() {
        return this.maxQ;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
